local function OnTooltipSetItem(tooltip, data)
    if tooltip == GameTooltip or tooltip == ItemRefTooltip then
		local _, link = tooltip:GetItem();
		if (link ~= nil) then
			local _, _, _, _, _, sType, sSubType, itemStackCount = GetItemInfo(link);
			local stringL = (sSubType and sType .. " | " .. sSubType or sType)
			local stringR = (itemStackCount and itemStackCount .. " per stack" or "")
			tooltip:AddLine(" ");
			tooltip:AddDoubleLine(stringL, stringR, 1, 0.82, 0, 1, 1, 1);
		end
    end
end

TooltipDataProcessor.AddTooltipPostCall(Enum.TooltipDataType.Item, OnTooltipSetItem)
